| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions
Tp::ComponentStateMap Struct Reference
Mapping types

`#include <TelepathyQt/Types>`

List of all members.

## Public Member Functions

- ComponentStateMap ()
- ComponentStateMap (const QMap< uint, uint > &a)
- ComponentStateMap & operator= (const QMap< uint, uint > &a)

## Detailed Description

Mapping type generated from the specification. Convertible with QMap<uint, uint>, but needed to have a discrete type in the Qt type system.

## Constructor & Destructor Documentation

Tp::ComponentStateMap::ComponentStateMap | ( |  | ) | `[inline]`

Tp::ComponentStateMap::ComponentStateMap | ( | const QMap< uint, uint > & | a | ) | `[inline]`

## Member Function Documentation

ComponentStateMap& Tp::ComponentStateMap::operator= | ( | const QMap< uint, uint > & | a | ) | `[inline]`